<?php 
/*
Plugin Name: Mastodon Feed Integrator 
Plugin URI: https://www.ericmaechler.com
Description: Add your Mastodon Feed into your WordPress Website (<a href="options-general.php?page=QGA_cbqmstnf">Settings</a>)
Author: Eric-Oliver Mächler
Version: 0.2
Author URI: https://www.ericmaechler.com
Requires at least: 6.3
Tested up to: 6.3.2
*/


// Funktion zum Einbinden des PHP-Stylesheets
function cbqmstnf_enqueue_styles() {
    // Pfad zum PHP-Stylesheet
    $php_file = plugins_url( 'css/style.php', __FILE__ );

    // Einbinden des PHP-Stylesheets im Backend und Frontend
    wp_enqueue_style( 'cbqmstnf-style', $php_file );
}

// Hook, um die Funktion aufzurufen
add_action( 'admin_enqueue_scripts', 'cbqmstnf_enqueue_styles' );
add_action( 'wp_enqueue_scripts', 'cbqmstnf_enqueue_styles' );

//install
// Registriere die Funktion, die beim Aktivieren des Plugins aufgerufen wird
register_activation_hook(__FILE__, 'plugin_activation_cbqmstnf');

// Funktion, die beim Aktivieren des Plugins aufgerufen wird
function plugin_activation_cbqmstnf() {
    // Standardwert für cbqmstnf_timesize
    $cbqmstnf_size = '15';
    $cbqmstnf_grau = '#fafafa';
    $cbqmstnf_black = '#000000';


    // Überprüfen, ob die Option bereits in der Datenbank existiert
    if (false === get_option('cbqmstnf_postsize')) {
        // Wenn die Option nicht existiert, füge sie mit dem Standardwert hinzu
        add_option('cbqmstnf_postsize', $cbqmstnf_size);
    }

    // Überprüfen, ob die Option bereits in der Datenbank existiert
    if (false === get_option('cbqmstnf_timesize')) {
        // Wenn die Option nicht existiert, füge sie mit dem Standardwert hinzu
        add_option('cbqmstnf_timesize', $cbqmstnf_size);
    }

    // Überprüfen, ob die Option bereits in der Datenbank existiert
    if (false === get_option('cbqmstnf_bgcolor')) {
        // Wenn die Option nicht existiert, füge sie mit dem Standardwert hinzu
        add_option('cbqmstnf_bgcolor', $cbqmstnf_grau);
    }

    // Überprüfen, ob die Option bereits in der Datenbank existiert
    if (false === get_option('cbqmstnf_postcolor')) {
        // Wenn die Option nicht existiert, füge sie mit dem Standardwert hinzu
        add_option('cbqmstnf_postcolor', $cbqmstnf_black);
    }

    // Überprüfen, ob die Option bereits in der Datenbank existiert
    if (false === get_option('cbqmstnf_bordercolor')) {
        // Wenn die Option nicht existiert, füge sie mit dem Standardwert hinzu
        add_option('cbqmstnf_bordercolor', $cbqmstnf_black);
    }

    // Überprüfen, ob die Option bereits in der Datenbank existiert
    if (false === get_option('cbqmstnf_timecolor')) {
        // Wenn die Option nicht existiert, füge sie mit dem Standardwert hinzu
        add_option('cbqmstnf_timecolor', $cbqmstnf_black);
    }

    // Überprüfen, ob die Option bereits in der Datenbank existiert
    if (false === get_option('cbqmstnf_feedlimit')) {
        // Wenn die Option nicht existiert, füge sie mit dem Standardwert hinzu
        add_option('cbqmstnf_feedlimit', $cbqmstnf_size);
    }


}

//check nach mastodon user
function check_cbqmstnf_user_option() {
$cbqmstnf_user = get_option('cbqmstnf_user');

    if (empty($cbqmstnf_user)) {
        // Die Option 'cbqmstnf_user' existiert nicht in der Datenbank oder ist leer
        echo '<div class="notice notice-error"><p>Der Mastodon Feed wurde noch nicht korrekt konfiguriert! <a href="options-general.php?page=QGA_cbqmstnf">Settings</a></p></div>';
    }
}

add_action('admin_notices', 'check_cbqmstnf_user_option');





//menu
include("conf.php");




//shortcode
include("shortcode.php");



/*
#
#
#	Plugin Updater von https://github.com/YahnisElsts/plugin-update-checker#how-to-release-an-update
#
# */
/*
require 'plugin-update-checker/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
	'https://www.ericmaechler.com/plugin_server/mastodon-feed-integrator/details.json',
	__FILE__, //Full path to the main plugin file or functions.php.
	'mastodon-feed-integrator'
);
*/
require 'plugin-update-checker/plugin-update-checker.php';
use YahnisElsts\PluginUpdateChecker\v5\PucFactory;

$myUpdateChecker = PucFactory::buildUpdateChecker(
	'https://ericmaechler.com/plugin_server/mastodon-feed-integrator/details.json',
	__FILE__, //Full path to the main plugin file or functions.php.
	'mastodon-feed-integrator'
);